Page MenuHomeHEPForge

Fix LauFormulaPar to follow change in behaviour of TFormula
ClosedPublic

Authored by tlatham on Dec 2 2020, 5:36 PM.

Details

Summary

Dimension returned by variable-less TFormula is now (sensibly) 0 rather than 1.
The dummy variable array passed to EvalPar is also no longer required.

Test Plan

Have created a LauFormulaPar and verified it gives the correct results as the
values of the underlying parameters change.

Diff Detail

Repository
rLAURA laura
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

tlatham created this revision.Dec 2 2020, 5:36 PM
tlatham changed the visibility from "All Users" to "Public (No Login Required)".Dec 2 2020, 5:38 PM
tlatham changed the edit policy from "All Users" to "Laura (Project)".
tlatham added a project: Laura.
mwhitehe accepted this revision.Dec 3 2020, 9:40 AM

Looks good to me

This revision is now accepted and ready to land.Dec 3 2020, 9:40 AM
tlatham updated this revision to Diff 154.Dec 3 2020, 10:39 AM
  • Update release notes
johndan accepted this revision.Dec 10 2020, 5:17 PM

I tested the patch and it does the job.

This revision was automatically updated to reflect the committed changes.